export default {

    data(){
        return {
            rankingUseData:[]
        }
    },

    methods:{
        fetchRanking(){
            return this.$request({
                url:'room/get_user_rank_top'
            }).then((data)=>{
                data.data = data.data || {};
                this.rankingUseData = data.data.user_charm_rank_list || [];
            })
        }
    },

    created() {
        this.fetchRanking();
    }

}